package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum ejoinType {
    Join(1),//已加入
    Unjoin(2),//未加入
    Apply(3);//申请中

    private int value;

    ejoinType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static ejoinType valueOf(int value) {
        switch (value) {
            case 1:
                return ejoinType.Join;
            case 2:
                return ejoinType.Unjoin;
            case 3:
                return ejoinType.Apply;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "已加入";
            case 2:
                return "未加入";
            case 3:
                return "申请中";
            default:
                return null;
        }
    }

}
